local bullet = {}
bullet.timer = 0
bullet.rate = 1
bullet.dt =.0259
bullet.speed = 1000

local bulletimg = {}
	bulletimg[1]= love.graphics.newImage("images/bulletred.png")
	bulletimg[2]= love.graphics.newImage("images/bulletblue.png")
	bulletimg[3]= love.graphics.newImage("images/bulletgreen.png")


	

function bullet_shoot(dt)

bulletcolor = colorchoice --Links the bullet color to the ship color
	if love.mouse.isDown("r") then
		bullet.timer = bullet.timer +bullet.rate*bullet.dt
		if bullet.timer > bullet.rate then
		local bulletsound = love.audio.newSource("data/laser.ogg")
		bulletsound:setVolume(.2)
			love.audio.play(bulletsound)
			--local x = math.cos(player.rotation)*-10
			--local y = math.sin(player.rotation)*-10
			bullet:spawn(player.x, player.y) --This needs to be in a more precise spot. Idk how though
			bullet.timer = 0
		end
	end
		for bi, bv in ipairs(bullet) do --Shoots the bullet from the front of the player
			bv.x = bv.x+(math.cos(bv.rot)*dt*bullet.speed)
		    bv.y = bv.y+(math.sin(bv.rot)*dt*bullet.speed)
			if bv.x < 10 or bv.x > 4780 or bv.y < 10 or bv.y > 2380 then --If bullet hits boundaries, it's gone
				table.remove(bullet, bi)
				local bullet_hitwall = love.audio.newSource("data/bullet hitwall.ogg")
				love.audio.play(bullet_hitwall)
				if bv.colorchoice == 1 then
					redbulletps:start()
					redbulletps:setPosition(bv.x,bv.y)
				end
				if bv.colorchoice == 2 then
					bluebulletps:start()
					bluebulletps:setPosition(bv.x,bv.y)
				end
				if bv.colorchoice == 3 then
					greenbulletps:start()
					greenbulletps:setPosition(bv.x,bv.y)
				end
			end
		end

redbulletps:update(dt)
bluebulletps:update(dt)
greenbulletps:update(dt)
end

function bullet:spawn(x, y)
	table.insert(bullet, {x=x, y=y,img=bulletimg[bulletcolor], rot=player.rotation,colorchoice=colorchoice})
end

function bullet_draw()
	for i,v in ipairs(bullet) do
		love.graphics.draw(v.img,v.x, v.y,v.rot)
	end
end
