
 local particle = love.graphics.newImage("images/particle.png") --Base Particle image
 local particle2 = love.graphics.newImage("images/particle.png")

 local shipPS = love.graphics.newParticleSystem(particle, 250) --"thruster" particles
	shipPS:setEmissionRate(250)
	shipPS:setLifetime(-1)
	shipPS:setParticleLife(.5,.7)
	shipPS:setSizes(.8,1.3)
	shipPS:setSpeed(150,400)
	shipPS:setSpread(.3)

 exps = love.graphics.newParticleSystem(particle,250) --mousewheel particles
	exps:setEmissionRate(250)
	exps:setLifetime(.3)
	exps:setParticleLife(.3,.3)
	exps:setSizes(.9,1.3)
	exps:setSpeed(300,500)
	exps:setDirection(0)
	exps:setSpread(360)
	
	
redbulletps = love.graphics.newParticleSystem(particle2, 250) --bullet + hit stuff particles
	redbulletps:setEmissionRate(250)
	redbulletps:setLifetime(.1)
	redbulletps:setParticleLife(.5)
	redbulletps:setSizes(1,1.5)
	redbulletps:setSpeed(300,500)
	redbulletps:setDirection(9)
	redbulletps:setSpread(90)
	redbulletps:setColors(100,100,0,120,150,50,10,160,255,0,0,255)
	
bluebulletps = love.graphics.newParticleSystem(particle2, 250) --bullet + hit stuff particles
	bluebulletps:setEmissionRate(250)
	bluebulletps:setLifetime(.1)
	bluebulletps:setParticleLife(.5)
	bluebulletps:setSizes(1,1.5)
	bluebulletps:setSpeed(300,500)
	bluebulletps:setDirection(9)
	bluebulletps:setSpread(90)
	bluebulletps:setColors(70,5,100,100,10,50,150,160,0,0,255,100)
	
greenbulletps = love.graphics.newParticleSystem(particle2, 250) --bullet + hit stuff particles
	greenbulletps:setEmissionRate(250)
	greenbulletps:setLifetime(.1)
	greenbulletps:setParticleLife(.5)
	greenbulletps:setSizes(1,1.5)
	greenbulletps:setSpeed(300,500)
	greenbulletps:setDirection(9)
	greenbulletps:setSpread(90)
	greenbulletps:setColors(70,100,0,150,10,150,50,160,0,255,0,0)

function particle_update(dt)
	shipPS:start()
	shipPS:update(dt)

	
	shipPS:setDirection(particlerotation)
	local x = math.cos(particlerotation) *18
	local y = math.sin(particlerotation) *18
	shipPS:setPosition(player.x+x,player.y+y)	
	
	exps:setPosition(player.x,player.y)
	exps:update(dt)
end


function particle_draw()
	love.graphics.draw(shipPS)
	love.graphics.draw(exps)	
	love.graphics.draw(redbulletps)
	love.graphics.draw(bluebulletps)
	love.graphics.draw(greenbulletps)
end

function set_colors(dt) --changes the colors of the particle systems
	if colorchoice == 1 then
		shipPS:setColors(100,100,0,120,150,50,10,160,255,0,0,255)
		exps:setColors(100,100,0,120,150,50,10,160,255,0,0,255)	
	end
	if colorchoice == 2 then
		shipPS:setColors(70,5,100,100,10,50,150,160,0,0,255,100)
		exps:setColors(70,5,100,100,10,50,150,160,0,0,255,100)
	end
	if colorchoice == 3 then
		shipPS:setColors(70,100,0,150,10,150,50,160,0,255,0,0)
		exps:setColors(70,100,0,150,10,150,50,160,0,255,0,0)
	end
end
