local star = {}
local starimg = love.graphics.newImage("images/stars2.png")
local spawntimestar = 0
local spawnnum = 1

function stars_spawn(x, y) --creates a unique placement/size for each star
	table.insert(star, {x=math.random(0, 4800), y=math.random(0, 2400),rotation = math.random(0,10),size = math.random(1,2)})
end
function stars_draw()
	for si,sv in ipairs(star) do --draws all of the "stars" in a pentagon shape.
		love.graphics.draw(starimg, sv.x,sv.y,sv.rotation,sv.size)
	end
end


function stars_create(dt)
	spawntimestar = spawntimestar + spawnnum
	if spawntimestar < 300 then --Basically just creates 200 "stars" on the screen
		stars_spawn()
	end
	if spawntimestar == 300 then --After all of the stars are created, stop the spawning.
		spawnnum = 0
	end
end
